# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/CBuilder.pm) perl(File/ShareDir.pm) perl(Module/Build.pm) perl(Object/Pad.pm) perl(Object/Pad/FieldAttr/Checked.pm) perl(Signature/Attribute/Checked.pm) perl(Sublike/Extended.pm) perl(Syntax/Keyword/Match.pm) perl(Test2/V0.pm) perl(Types/Standard.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define module_name Data-Checks
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: Value constraint checking
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
This module provides functions that implement various value constraint
checking behaviours. These are the parts made visible by the
`use Data::Checks ...' import line, in Perl code.

It also provides the underlying common framework XS functions to assist in
writing modules that actually implement such constraint checking. These parts
are not visible in Perl code, but instead made visible at the XS level by the
`#include "DataChecks.h"' directive.

See the the SYNOPSIS entry elsewhere in this document section above for several examples of other CPAN modules
that make direct use of these constraint checks.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.10-alt1
- initial import by package builder

